%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/bep/goat
Version:                0.5.0

%gometa

%global common_description %{expand:
Render ASCII art as SVG diagrams.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Render ASCII art as SVG diagrams

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
